for (var i = 0; i < spawnedEntities.length; i++) 
{
    var ent = spawnedEntities[i];
	        ent.setMoveSpeed(5);
	        ent.setAttackStrength(6);
            ent.texture = "/water/" + ent.getClassType() + ".png"
}